package com.hfkj.dao;

import com.hfkj.entity.BsGasOilGunNo;
import com.hfkj.entity.BsGasOilGunNoExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsGasOilGunNoMapper extends BsGasOilGunNoMapperExt {
    @SelectProvider(type=BsGasOilGunNoSqlProvider.class, method="countByExample")
    long countByExample(BsGasOilGunNoExample example);

    @DeleteProvider(type=BsGasOilGunNoSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsGasOilGunNoExample example);

    @Delete({
        "delete from bs_gas_oil_gun_no",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_gas_oil_gun_no (gas_oil_price_id, mer_id, ",
        "mer_no, oil_type, ",
        "oil_type_name, oil_no, ",
        "oil_no_name, gun_no, ",
        "`status`, create_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{gasOilPriceId,jdbcType=BIGINT}, #{merId,jdbcType=BIGINT}, ",
        "#{merNo,jdbcType=VARCHAR}, #{oilType,jdbcType=INTEGER}, ",
        "#{oilTypeName,jdbcType=VARCHAR}, #{oilNo,jdbcType=VARCHAR}, ",
        "#{oilNoName,jdbcType=VARCHAR}, #{gunNo,jdbcType=VARCHAR}, ",
        "#{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsGasOilGunNo record);

    @InsertProvider(type=BsGasOilGunNoSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsGasOilGunNo record);

    @SelectProvider(type=BsGasOilGunNoSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="gas_oil_price_id", property="gasOilPriceId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gun_no", property="gunNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsGasOilGunNo> selectByExample(BsGasOilGunNoExample example);

    @Select({
        "select",
        "id, gas_oil_price_id, mer_id, mer_no, oil_type, oil_type_name, oil_no, oil_no_name, ",
        "gun_no, `status`, create_time, ext_1, ext_2, ext_3",
        "from bs_gas_oil_gun_no",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="gas_oil_price_id", property="gasOilPriceId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gun_no", property="gunNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsGasOilGunNo selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsGasOilGunNoSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsGasOilGunNo record, @Param("example") BsGasOilGunNoExample example);

    @UpdateProvider(type=BsGasOilGunNoSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsGasOilGunNo record, @Param("example") BsGasOilGunNoExample example);

    @UpdateProvider(type=BsGasOilGunNoSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsGasOilGunNo record);

    @Update({
        "update bs_gas_oil_gun_no",
        "set gas_oil_price_id = #{gasOilPriceId,jdbcType=BIGINT},",
          "mer_id = #{merId,jdbcType=BIGINT},",
          "mer_no = #{merNo,jdbcType=VARCHAR},",
          "oil_type = #{oilType,jdbcType=INTEGER},",
          "oil_type_name = #{oilTypeName,jdbcType=VARCHAR},",
          "oil_no = #{oilNo,jdbcType=VARCHAR},",
          "oil_no_name = #{oilNoName,jdbcType=VARCHAR},",
          "gun_no = #{gunNo,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsGasOilGunNo record);
}