package com.hfkj.dao;

import com.hfkj.entity.BsGasOilPriceOfficial;
import com.hfkj.entity.BsGasOilPriceOfficialExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsGasOilPriceOfficialMapper extends BsGasOilPriceOfficialMapperExt {
    @SelectProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="countByExample")
    long countByExample(BsGasOilPriceOfficialExample example);

    @DeleteProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsGasOilPriceOfficialExample example);

    @Delete({
        "delete from bs_gas_oil_price_official",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_gas_oil_price_official (region_id, region_name, ",
        "oil_no, oil_no_name, ",
        "price_official, oil_type, ",
        "oil_type_name, `status`, ",
        "ext_1, ext_2, ext_3)",
        "values (#{regionId,jdbcType=BIGINT}, #{regionName,jdbcType=VARCHAR}, ",
        "#{oilNo,jdbcType=VARCHAR}, #{oilNoName,jdbcType=VARCHAR}, ",
        "#{priceOfficial,jdbcType=DECIMAL}, #{oilType,jdbcType=INTEGER}, ",
        "#{oilTypeName,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsGasOilPriceOfficial record);

    @InsertProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsGasOilPriceOfficial record);

    @SelectProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="region_id", property="regionId", jdbcType=JdbcType.BIGINT),
        @Result(column="region_name", property="regionName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="price_official", property="priceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsGasOilPriceOfficial> selectByExample(BsGasOilPriceOfficialExample example);

    @Select({
        "select",
        "id, region_id, region_name, oil_no, oil_no_name, price_official, oil_type, oil_type_name, ",
        "`status`, ext_1, ext_2, ext_3",
        "from bs_gas_oil_price_official",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="region_id", property="regionId", jdbcType=JdbcType.BIGINT),
        @Result(column="region_name", property="regionName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="price_official", property="priceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsGasOilPriceOfficial selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsGasOilPriceOfficial record, @Param("example") BsGasOilPriceOfficialExample example);

    @UpdateProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsGasOilPriceOfficial record, @Param("example") BsGasOilPriceOfficialExample example);

    @UpdateProvider(type=BsGasOilPriceOfficialSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsGasOilPriceOfficial record);

    @Update({
        "update bs_gas_oil_price_official",
        "set region_id = #{regionId,jdbcType=BIGINT},",
          "region_name = #{regionName,jdbcType=VARCHAR},",
          "oil_no = #{oilNo,jdbcType=VARCHAR},",
          "oil_no_name = #{oilNoName,jdbcType=VARCHAR},",
          "price_official = #{priceOfficial,jdbcType=DECIMAL},",
          "oil_type = #{oilType,jdbcType=INTEGER},",
          "oil_type_name = #{oilTypeName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsGasOilPriceOfficial record);
}