package com.hfkj.dao;

import com.hfkj.entity.BsOrderRefund;
import com.hfkj.entity.BsOrderRefundExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsOrderRefundMapper extends BsOrderRefundMapperExt {
    @SelectProvider(type=BsOrderRefundSqlProvider.class, method="countByExample")
    long countByExample(BsOrderRefundExample example);

    @DeleteProvider(type=BsOrderRefundSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsOrderRefundExample example);

    @Delete({
        "delete from bs_order_refund",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_order_refund (mer_id, mer_no, ",
        "order_no, order_child_no, ",
        "user_id, user_phone, ",
        "refund_order_no, account_merchant_no, ",
        "account_merchant_key, refund_pay_channel, ",
        "refund_pay_type, refund_serial_no, ",
        "refund_pay_channel_order_no, refund_price, ",
        "refund_integral, refund_remark, ",
        "refund_status, refund_fail_reason, ",
        "create_time, update_time, ",
        "finish_time, op_user_type, ",
        "op_user_id, op_user_name, ",
        "ext_1, ext_2, ext_3)",
        "values (#{merId,jdbcType=BIGINT}, #{merNo,jdbcType=VARCHAR}, ",
        "#{orderNo,jdbcType=VARCHAR}, #{orderChildNo,jdbcType=VARCHAR}, ",
        "#{userId,jdbcType=BIGINT}, #{userPhone,jdbcType=VARCHAR}, ",
        "#{refundOrderNo,jdbcType=VARCHAR}, #{accountMerchantNo,jdbcType=VARCHAR}, ",
        "#{accountMerchantKey,jdbcType=VARCHAR}, #{refundPayChannel,jdbcType=INTEGER}, ",
        "#{refundPayType,jdbcType=INTEGER}, #{refundSerialNo,jdbcType=VARCHAR}, ",
        "#{refundPayChannelOrderNo,jdbcType=VARCHAR}, #{refundPrice,jdbcType=DECIMAL}, ",
        "#{refundIntegral,jdbcType=BIGINT}, #{refundRemark,jdbcType=VARCHAR}, ",
        "#{refundStatus,jdbcType=INTEGER}, #{refundFailReason,jdbcType=VARCHAR}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{finishTime,jdbcType=TIMESTAMP}, #{opUserType,jdbcType=INTEGER}, ",
        "#{opUserId,jdbcType=BIGINT}, #{opUserName,jdbcType=VARCHAR}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsOrderRefund record);

    @InsertProvider(type=BsOrderRefundSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsOrderRefund record);

    @SelectProvider(type=BsOrderRefundSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="order_child_no", property="orderChildNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_order_no", property="refundOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="account_merchant_no", property="accountMerchantNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="account_merchant_key", property="accountMerchantKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_pay_channel", property="refundPayChannel", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_pay_type", property="refundPayType", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_serial_no", property="refundSerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_pay_channel_order_no", property="refundPayChannelOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_price", property="refundPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="refund_integral", property="refundIntegral", jdbcType=JdbcType.BIGINT),
        @Result(column="refund_remark", property="refundRemark", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_status", property="refundStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_fail_reason", property="refundFailReason", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="finish_time", property="finishTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_type", property="opUserType", jdbcType=JdbcType.INTEGER),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsOrderRefund> selectByExample(BsOrderRefundExample example);

    @Select({
        "select",
        "id, mer_id, mer_no, order_no, order_child_no, user_id, user_phone, refund_order_no, ",
        "account_merchant_no, account_merchant_key, refund_pay_channel, refund_pay_type, ",
        "refund_serial_no, refund_pay_channel_order_no, refund_price, refund_integral, ",
        "refund_remark, refund_status, refund_fail_reason, create_time, update_time, ",
        "finish_time, op_user_type, op_user_id, op_user_name, ext_1, ext_2, ext_3",
        "from bs_order_refund",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="order_child_no", property="orderChildNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_order_no", property="refundOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="account_merchant_no", property="accountMerchantNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="account_merchant_key", property="accountMerchantKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_pay_channel", property="refundPayChannel", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_pay_type", property="refundPayType", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_serial_no", property="refundSerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_pay_channel_order_no", property="refundPayChannelOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_price", property="refundPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="refund_integral", property="refundIntegral", jdbcType=JdbcType.BIGINT),
        @Result(column="refund_remark", property="refundRemark", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_status", property="refundStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="refund_fail_reason", property="refundFailReason", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="finish_time", property="finishTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_type", property="opUserType", jdbcType=JdbcType.INTEGER),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsOrderRefund selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsOrderRefundSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsOrderRefund record, @Param("example") BsOrderRefundExample example);

    @UpdateProvider(type=BsOrderRefundSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsOrderRefund record, @Param("example") BsOrderRefundExample example);

    @UpdateProvider(type=BsOrderRefundSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsOrderRefund record);

    @Update({
        "update bs_order_refund",
        "set mer_id = #{merId,jdbcType=BIGINT},",
          "mer_no = #{merNo,jdbcType=VARCHAR},",
          "order_no = #{orderNo,jdbcType=VARCHAR},",
          "order_child_no = #{orderChildNo,jdbcType=VARCHAR},",
          "user_id = #{userId,jdbcType=BIGINT},",
          "user_phone = #{userPhone,jdbcType=VARCHAR},",
          "refund_order_no = #{refundOrderNo,jdbcType=VARCHAR},",
          "account_merchant_no = #{accountMerchantNo,jdbcType=VARCHAR},",
          "account_merchant_key = #{accountMerchantKey,jdbcType=VARCHAR},",
          "refund_pay_channel = #{refundPayChannel,jdbcType=INTEGER},",
          "refund_pay_type = #{refundPayType,jdbcType=INTEGER},",
          "refund_serial_no = #{refundSerialNo,jdbcType=VARCHAR},",
          "refund_pay_channel_order_no = #{refundPayChannelOrderNo,jdbcType=VARCHAR},",
          "refund_price = #{refundPrice,jdbcType=DECIMAL},",
          "refund_integral = #{refundIntegral,jdbcType=BIGINT},",
          "refund_remark = #{refundRemark,jdbcType=VARCHAR},",
          "refund_status = #{refundStatus,jdbcType=INTEGER},",
          "refund_fail_reason = #{refundFailReason,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "finish_time = #{finishTime,jdbcType=TIMESTAMP},",
          "op_user_type = #{opUserType,jdbcType=INTEGER},",
          "op_user_id = #{opUserId,jdbcType=BIGINT},",
          "op_user_name = #{opUserName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsOrderRefund record);
}