package com.hfkj.dao;

import com.hfkj.entity.SecOperationLog;
import com.hfkj.entity.SecOperationLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface SecOperationLogMapper extends SecOperationLogMapperExt {
    @SelectProvider(type=SecOperationLogSqlProvider.class, method="countByExample")
    long countByExample(SecOperationLogExample example);

    @DeleteProvider(type=SecOperationLogSqlProvider.class, method="deleteByExample")
    int deleteByExample(SecOperationLogExample example);

    @Delete({
        "delete from sec_operation_log",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into sec_operation_log (ip, `module`, ",
        "description, content, ",
        "operation_time, operation_id, ",
        "operation_name)",
        "values (#{ip,jdbcType=VARCHAR}, #{module,jdbcType=VARCHAR}, ",
        "#{description,jdbcType=VARCHAR}, #{content,jdbcType=VARCHAR}, ",
        "#{operationTime,jdbcType=TIMESTAMP}, #{operationId,jdbcType=BIGINT}, ",
        "#{operationName,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(SecOperationLog record);

    @InsertProvider(type=SecOperationLogSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(SecOperationLog record);

    @SelectProvider(type=SecOperationLogSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="ip", property="ip", jdbcType=JdbcType.VARCHAR),
        @Result(column="module", property="module", jdbcType=JdbcType.VARCHAR),
        @Result(column="description", property="description", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="operation_time", property="operationTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="operation_id", property="operationId", jdbcType=JdbcType.BIGINT),
        @Result(column="operation_name", property="operationName", jdbcType=JdbcType.VARCHAR)
    })
    List<SecOperationLog> selectByExample(SecOperationLogExample example);

    @Select({
        "select",
        "id, ip, `module`, description, content, operation_time, operation_id, operation_name",
        "from sec_operation_log",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="ip", property="ip", jdbcType=JdbcType.VARCHAR),
        @Result(column="module", property="module", jdbcType=JdbcType.VARCHAR),
        @Result(column="description", property="description", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="operation_time", property="operationTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="operation_id", property="operationId", jdbcType=JdbcType.BIGINT),
        @Result(column="operation_name", property="operationName", jdbcType=JdbcType.VARCHAR)
    })
    SecOperationLog selectByPrimaryKey(Long id);

    @UpdateProvider(type=SecOperationLogSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") SecOperationLog record, @Param("example") SecOperationLogExample example);

    @UpdateProvider(type=SecOperationLogSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") SecOperationLog record, @Param("example") SecOperationLogExample example);

    @UpdateProvider(type=SecOperationLogSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(SecOperationLog record);

    @Update({
        "update sec_operation_log",
        "set ip = #{ip,jdbcType=VARCHAR},",
          "`module` = #{module,jdbcType=VARCHAR},",
          "description = #{description,jdbcType=VARCHAR},",
          "content = #{content,jdbcType=VARCHAR},",
          "operation_time = #{operationTime,jdbcType=TIMESTAMP},",
          "operation_id = #{operationId,jdbcType=BIGINT},",
          "operation_name = #{operationName,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(SecOperationLog record);
}
