package com.hfkj.model;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 油站列表模型
 * @className: GasListModel
 * @author: HuRui
 * @date: 2024/6/4
 **/
@Data
public class GasListModel {
    /**
     * 商户号
     */
    private String merNo;
    /**
     * 商户名称
     */
    private String merName;
    /**
     * 商户地址
     */
    private String address;
    /**
     * 商户经度
     */
    private String longitude;
    /**
     * 商户纬度
     */
    private String latitude;
    /**
     * 距离
     */
    private String distance;
    /**
     * 油品
     */
    private String oilNo;
    /**
     * 国标价
     */
    private BigDecimal priceOfficial;
    /**
     * 枪价
     */
    private BigDecimal priceGun;
    /**
     * VIP价
     */
    private BigDecimal priceVip;
    /**
     * 油站直降
     */
    private BigDecimal gasStationDrop;
}
