package com.hfkj.model.order;

import com.hfkj.entity.BsOrderChild;
import lombok.Data;

/**
 *  子订单模型
 * @className: OrderChildModel
 * @author: HuRui
 * @date: 2024/4/29
 **/
@Data
public class OrderChildModel extends BsOrderChild {
    /**
     * 油站编号
     */
    private String merNo;
    /**
     * 油站加油员
     */
    private Long gasStaffId;
    /**
     * 油站油号
     */
    private String gasOilNo;
    /**
     * 油站抢号
     */
    private String gasGunNo;
    /**
     * 油站代理
     */
    private Long agentMerId;
}
