package com.hfkj.service;

import com.hfkj.entity.BsMerchant;
import com.hfkj.entity.BsMerchantUser;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerchantUserService
 * @author: HuRui
 * @date: 2024/5/31
 **/
public interface BsMerchantUserService {

    /**
     * 编辑数据
     * @param merchantUser
     */
    void editData(BsMerchantUser merchantUser);

    /**
     * 查询用户
     * @param merNo
     * @param phone
     * @return
     */
    BsMerchantUser getUser(String merNo,String phone);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsMerchantUser> getList(Map<String,Object> param);
}
