package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentPrice;
import com.hfkj.sysenum.agent.AgentPriceTypeEnum;

import java.util.List;

/**
 * @className: BsAgentPriceService
 * @author: HuRui
 * @date: 2024/6/19
 **/
public interface BsAgentPriceService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsAgentPrice data);

    /**
     * 查询详情
     * @param type
     * @param merNo
     * @param oilNo
     * @return
     */
    BsAgentPrice getDetail(AgentPriceTypeEnum type,String merNo,String oilNo);

    /**
     * 查询详情
     * @param agentMerId
     * @param oilNo
     * @return
     */
    BsAgentPrice getDetail(Long agentMerId,String oilNo);

    /**
     * 查询列表
     * @param type
     * @param merNo
     * @return
     */
    List<BsAgentPrice> getPriceList(AgentPriceTypeEnum type,String merNo);

}
