package com.hfkj.service.pay;

import java.util.Map;

/**
 * @ClassName: PayRecordService
 * @Description: 支付纪录
 * @author: gongjia
 * @date: 2020/3/27 9:48
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public interface PayRecordService {

    /**
     *
     * @author gongjia
     * @param paramsMap 支付纪录信息（支付宝或微信回调传回的信息）
     * @param payType 支付方式：Alipay-支付宝 WechatPay-微信
     */
    int addPayRecord(Map<String, String> paramsMap, String payType) throws Exception;

}
