package com.hfkj.sysenum;

/**
 * 系统用户状态
 * @className: SecUserStatusEnum
 * @author: HuRui
 * @date: 2024/3/26
 **/
public enum SecUserStatusEnum {

    /**
     * 删除
     */
    status0(0, "删除"),

    /**
     * 正常
     */
    status1(1, "正常"),

    /**
     * 禁用
     */
    status2(2, "禁用"),
    ;

    private int code;

    private String name;


    SecUserStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
