package com.hfkj.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;
import lombok.Data;
@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
@Data
public class CommonSysConfig {

    /**
     * 文件存放地址 可访问
     */
    private String filesystem;

    /**
     * 【惠支付】支付渠道回调地址
     */
    private String huiPayPreorderNotifyUrl;

    /**
     * 【嗨加油】域名
     */
    private String domainName;
}
