package com.hfkj.dao;

import com.hfkj.entity.SecRoleMenuRel;
import com.hfkj.entity.SecRoleMenuRelExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface SecRoleMenuRelMapper extends SecRoleMenuRelMapperExt {
    @SelectProvider(type=SecRoleMenuRelSqlProvider.class, method="countByExample")
    long countByExample(SecRoleMenuRelExample example);

    @DeleteProvider(type=SecRoleMenuRelSqlProvider.class, method="deleteByExample")
    int deleteByExample(SecRoleMenuRelExample example);

    @Delete({
        "delete from sec_role_menu_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into sec_role_menu_rel (role_id, menu_id)",
        "values (#{roleId,jdbcType=BIGINT}, #{menuId,jdbcType=BIGINT})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(SecRoleMenuRel record);

    @InsertProvider(type=SecRoleMenuRelSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(SecRoleMenuRel record);

    @SelectProvider(type=SecRoleMenuRelSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="role_id", property="roleId", jdbcType=JdbcType.BIGINT),
        @Result(column="menu_id", property="menuId", jdbcType=JdbcType.BIGINT)
    })
    List<SecRoleMenuRel> selectByExample(SecRoleMenuRelExample example);

    @Select({
        "select",
        "id, role_id, menu_id",
        "from sec_role_menu_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="role_id", property="roleId", jdbcType=JdbcType.BIGINT),
        @Result(column="menu_id", property="menuId", jdbcType=JdbcType.BIGINT)
    })
    SecRoleMenuRel selectByPrimaryKey(Long id);

    @UpdateProvider(type=SecRoleMenuRelSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") SecRoleMenuRel record, @Param("example") SecRoleMenuRelExample example);

    @UpdateProvider(type=SecRoleMenuRelSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") SecRoleMenuRel record, @Param("example") SecRoleMenuRelExample example);

    @UpdateProvider(type=SecRoleMenuRelSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(SecRoleMenuRel record);

    @Update({
        "update sec_role_menu_rel",
        "set role_id = #{roleId,jdbcType=BIGINT},",
          "menu_id = #{menuId,jdbcType=BIGINT}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(SecRoleMenuRel record);
}