package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_discount_stock_code
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsDiscountStockCode implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠券库存批次id
     */
    private Long discountStockBatchId;

    /**
     * 优惠券库存批次编号
     */
    private String discountStockBatchNo;

    /**
     * 优惠券id
     */
    private Long discountId;

    /**
     * 优惠编号
     */
    private String discountNo;

    /**
     * 优惠券名称
     */
    private String discountName;

    /**
     * 获得方式    1：加油    2：商城
     */
    private Integer obtainType;

    /**
     * 获得时间
     */
    private Date obtainTime;

    /**
     * 领取用户id
     */
    private Long receiveMerUserId;

    /**
     * 领取用户手机号
     */
    private String receiveMerUserPhone;

    /**
     * 使用时间
     */
    private Date useTime;

    /**
     * 状态  1：未领取    2：未使用   3：已使用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountStockBatchId() {
        return discountStockBatchId;
    }

    public void setDiscountStockBatchId(Long discountStockBatchId) {
        this.discountStockBatchId = discountStockBatchId;
    }

    public String getDiscountStockBatchNo() {
        return discountStockBatchNo;
    }

    public void setDiscountStockBatchNo(String discountStockBatchNo) {
        this.discountStockBatchNo = discountStockBatchNo;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public String getDiscountNo() {
        return discountNo;
    }

    public void setDiscountNo(String discountNo) {
        this.discountNo = discountNo;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public Integer getObtainType() {
        return obtainType;
    }

    public void setObtainType(Integer obtainType) {
        this.obtainType = obtainType;
    }

    public Date getObtainTime() {
        return obtainTime;
    }

    public void setObtainTime(Date obtainTime) {
        this.obtainTime = obtainTime;
    }

    public Long getReceiveMerUserId() {
        return receiveMerUserId;
    }

    public void setReceiveMerUserId(Long receiveMerUserId) {
        this.receiveMerUserId = receiveMerUserId;
    }

    public String getReceiveMerUserPhone() {
        return receiveMerUserPhone;
    }

    public void setReceiveMerUserPhone(String receiveMerUserPhone) {
        this.receiveMerUserPhone = receiveMerUserPhone;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsDiscountStockCode other = (BsDiscountStockCode) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountStockBatchId() == null ? other.getDiscountStockBatchId() == null : this.getDiscountStockBatchId().equals(other.getDiscountStockBatchId()))
            && (this.getDiscountStockBatchNo() == null ? other.getDiscountStockBatchNo() == null : this.getDiscountStockBatchNo().equals(other.getDiscountStockBatchNo()))
            && (this.getDiscountId() == null ? other.getDiscountId() == null : this.getDiscountId().equals(other.getDiscountId()))
            && (this.getDiscountNo() == null ? other.getDiscountNo() == null : this.getDiscountNo().equals(other.getDiscountNo()))
            && (this.getDiscountName() == null ? other.getDiscountName() == null : this.getDiscountName().equals(other.getDiscountName()))
            && (this.getObtainType() == null ? other.getObtainType() == null : this.getObtainType().equals(other.getObtainType()))
            && (this.getObtainTime() == null ? other.getObtainTime() == null : this.getObtainTime().equals(other.getObtainTime()))
            && (this.getReceiveMerUserId() == null ? other.getReceiveMerUserId() == null : this.getReceiveMerUserId().equals(other.getReceiveMerUserId()))
            && (this.getReceiveMerUserPhone() == null ? other.getReceiveMerUserPhone() == null : this.getReceiveMerUserPhone().equals(other.getReceiveMerUserPhone()))
            && (this.getUseTime() == null ? other.getUseTime() == null : this.getUseTime().equals(other.getUseTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountStockBatchId() == null) ? 0 : getDiscountStockBatchId().hashCode());
        result = prime * result + ((getDiscountStockBatchNo() == null) ? 0 : getDiscountStockBatchNo().hashCode());
        result = prime * result + ((getDiscountId() == null) ? 0 : getDiscountId().hashCode());
        result = prime * result + ((getDiscountNo() == null) ? 0 : getDiscountNo().hashCode());
        result = prime * result + ((getDiscountName() == null) ? 0 : getDiscountName().hashCode());
        result = prime * result + ((getObtainType() == null) ? 0 : getObtainType().hashCode());
        result = prime * result + ((getObtainTime() == null) ? 0 : getObtainTime().hashCode());
        result = prime * result + ((getReceiveMerUserId() == null) ? 0 : getReceiveMerUserId().hashCode());
        result = prime * result + ((getReceiveMerUserPhone() == null) ? 0 : getReceiveMerUserPhone().hashCode());
        result = prime * result + ((getUseTime() == null) ? 0 : getUseTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountStockBatchId=").append(discountStockBatchId);
        sb.append(", discountStockBatchNo=").append(discountStockBatchNo);
        sb.append(", discountId=").append(discountId);
        sb.append(", discountNo=").append(discountNo);
        sb.append(", discountName=").append(discountName);
        sb.append(", obtainType=").append(obtainType);
        sb.append(", obtainTime=").append(obtainTime);
        sb.append(", receiveMerUserId=").append(receiveMerUserId);
        sb.append(", receiveMerUserPhone=").append(receiveMerUserPhone);
        sb.append(", useTime=").append(useTime);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}