package com.hfkj.model.order;

import com.hfkj.entity.BsOrder;
import com.hfkj.entity.BsOrderDeduction;
import lombok.Data;
import java.util.List;

/**
 * 交易订单模型
 * @className: OrderModel
 * @author: HuRui
 * @date: 2024/4/29
 **/
@Data
public class OrderModel extends BsOrder {

    /**
     * 优惠
     */
    private BsOrderDeduction deduction;

    /**
     * 子订单列表
     */
    private List<OrderChildModel> orderChildList;

}
