package com.hfkj.service.pay;

import java.util.Map;

/**
 * @ClassName: PayService
 * @Description: 支付完成 不同模块实际的业务处理
 * @author: gongjia
 * @date: 2020/3/27 16:28
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public interface PayService {

    /**
     * @desc 不同模块实际的业务处理
     * @param map 支付宝/微信 异步回调返回的参数
     * @param payType 支付方式：Alipay-支付宝 WechatPay-微信
     */
    void paySuccess(Map<String, String> map, String payType) throws Exception;


}
