package com.hfkj.sysenum;

import lombok.Getter;

import java.util.Objects;

/**
 * @className: MerchantStatusEnum
 * @author: HuRui
 * @date: 2024/6/11
 **/
@Getter
public enum MerchantSourceTypeEnum {
    type1(1, "自建站"),
    ;

    private Integer number;

    private String name;

    MerchantSourceTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerchantSourceTypeEnum getNameByType(Integer type) {
        for (MerchantSourceTypeEnum ele : values()) {
            if (Objects.equals(type,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

}
